Subject: bug#56972: 29.0.50; nntp-send-authinfo error because netrc-parse can't handle multibytes

From: Kevin Brubeck Unhammer <[email-masked]>
Date: Thu, 04 Aug 2022 14:04:54 +0200

nntp-send-authinfo uses netrc-parse to parse ~/.authinfo.gpg, but
netrc-parse (unlike auth-source) uses base64-encode-string which as of
https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-12/msg01599.html
throws an error if it sees a multibyte. So if there's a multibyte
somewhere in the netrc file, we get this on trying to connect with nntp

Unable to open server gmane due to: Multibyte character in data for base64 encoding

(even if we don't use any auth info for connecting).

I'm guessing nntp-send-authinfo could be changed to using
auth-source-netrc-parse, though I don't actually use authinfo for
connecting to nntp so I have no way to test that use-case.